]> https://gitweb.dealii.org/ - dealii.git/commitdiff
Recognize Portland Group compiler.
authorWolfgang Bangerth <bangerth@math.tamu.edu>
Thu, 28 Mar 2002 10:23:05 +0000 (10:23 +0000)
committerWolfgang Bangerth <bangerth@math.tamu.edu>
Thu, 28 Mar 2002 10:23:05 +0000 (10:23 +0000)
git-svn-id: https://svn.dealii.org/trunk@5630 0785d39b-7218-0410-832d-ea1e28bc413d

deal.II/aclocal.m4
deal.II/configure

index 2dd2819ed9d6fbe30f57cb2e6f096b6d5d60aaaf..988d1317274828e0dd6592818222ede2859d7c98 100644 (file)
@@ -121,13 +121,21 @@ AC_DEFUN(DEAL_II_DETERMINE_CXX_BRAND, dnl
              dnl KAI C++?
              is_kai_cc="`($CXX -V 2>&1) | grep 'KAI C++'`"
              if test "x$is_kai_cc" != "x" ; then
-               AC_MSG_RESULT(compile is KAI C++)
-               GXX_VERSSION=kai_cc
+               AC_MSG_RESULT(C++ compiler is KAI C++)
+               GXX_VERSION=kai_cc
              else
   
-                  dnl  Aw, nothing suitable found...
-                  AC_MSG_ERROR(Unrecognized compiler, sorry)
-                  exit 1
+               dnl Portland Group C++?
+               is_pgcc="`($CXX -V 2>&1) | grep 'Portland Group'`"
+               if test "x$is_pgcc" != "x" ; then
+                 AC_MSG_RESULT(C++ compiler is Portland Group C++)
+                 GXX_VERSION=portland_group
+               else
+  
+                    dnl  Aw, nothing suitable found...
+                    AC_MSG_ERROR(Unrecognized compiler, sorry)
+                    exit 1
+                  fi
                 fi
               fi
            fi
@@ -324,6 +332,12 @@ AC_DEFUN(DEAL_II_SET_CXX_FLAGS, dnl
           CXXFLAGSPIC="-KPIC"
           ;;
   
+      portland_group)
+         CXXFLAGSG="$CXXFLAGS -A -Xa -DDEBUG"
+          CXXFLAGSO="$CXXFLAGS -A -Xa"
+          CXXFLAGSPIC="-Kpic"
+          ;;
+  
       *)
           AC_MSG_ERROR(No compiler options for this C++ compiler
                        specified at present)
index 77bbc1131e19dce5cab3363245fddbfb99b90583..587b495d48a0f81a2993010e714aa20b1d07ea34 100755 (executable)
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.101 .
+# From configure.in Revision: 1.102 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.50.
 #
@@ -2150,15 +2150,23 @@ echo "${ECHO_T}C++ compiler is Sun Forte compiler" >&6
 
                              is_kai_cc="`($CXX -V 2>&1) | grep 'KAI C++'`"
              if test "x$is_kai_cc" != "x" ; then
-               echo "$as_me:2153: result: compile is KAI C++" >&5
-echo "${ECHO_T}compile is KAI C++" >&6
-               GXX_VERSSION=kai_cc
+               echo "$as_me:2153: result: C++ compiler is KAI C++" >&5
+echo "${ECHO_T}C++ compiler is KAI C++" >&6
+               GXX_VERSION=kai_cc
              else
 
-                                    { { echo "$as_me:2158: error: Unrecognized compiler" >&5
+                               is_pgcc="`($CXX -V 2>&1) | grep 'Portland Group'`"
+               if test "x$is_pgcc" != "x" ; then
+                 echo "$as_me:2160: result: C++ compiler is Portland Group C++" >&5
+echo "${ECHO_T}C++ compiler is Portland Group C++" >&6
+                 GXX_VERSION=portland_group
+               else
+
+                                        { { echo "$as_me:2165: error: Unrecognized compiler" >&5
 echo "$as_me: error: Unrecognized compiler" >&2;}
    { (exit sorry); exit sorry; }; }
-                  exit 1
+                    exit 1
+                  fi
                 fi
               fi
            fi
@@ -2209,10 +2217,10 @@ ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ex
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG -Werror"
-  echo "$as_me:2212: checking for std::advance warning" >&5
+  echo "$as_me:2220: checking for std::advance warning" >&5
 echo $ECHO_N "checking for std::advance warning... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
-#line 2215 "configure"
+#line 2223 "configure"
 #include "confdefs.h"
 
 #include <map>
@@ -2231,19 +2239,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2234: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2242: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2237: \$? = $ac_status" >&5
+  echo "$as_me:2245: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2240: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2248: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2243: \$? = $ac_status" >&5
+  echo "$as_me:2251: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-                 echo "$as_me:2246: result: no" >&5
+                 echo "$as_me:2254: result: no" >&5
 echo "${ECHO_T}no" >&6
           DEAL_II_ADVANCE_WARNING=no
 
@@ -2251,7 +2259,7 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-         echo "$as_me:2254: result: yes" >&5
+         echo "$as_me:2262: result: yes" >&5
 echo "${ECHO_T}yes" >&6
           DEAL_II_ADVANCE_WARNING=yes
 
@@ -2310,8 +2318,14 @@ rm -f conftest.$ac_objext conftest.$ac_ext
           CXXFLAGSPIC="-KPIC"
           ;;
 
+      portland_group)
+         CXXFLAGSG="$CXXFLAGS -DDEBUG"
+          CXXFLAGSO="$CXXFLAGS"
+          CXXFLAGSPIC="-KPIC"
+          ;;
+
       *)
-          { { echo "$as_me:2314: error: No compiler options for this C++ compiler
+          { { echo "$as_me:2328: error: No compiler options for this C++ compiler
                        specified at present" >&5
 echo "$as_me: error: No compiler options for this C++ compiler
                        specified at present" >&2;}
@@ -2321,13 +2335,13 @@ echo "$as_me: error: No compiler options for this C++ compiler
   fi
 
   if test "$GXX" = yes ; then
-    echo "$as_me:2324: checking whether -ggdb works for long symbols" >&5
+    echo "$as_me:2338: checking whether -ggdb works for long symbols" >&5
 echo $ECHO_N "checking whether -ggdb works for long symbols... $ECHO_C" >&6
     case "$target" in
               alpha*-osf*)
             CXXFLAGS="-ggdb $CXXFLAGSG"
             cat >conftest.$ac_ext <<_ACEOF
-#line 2330 "configure"
+#line 2344 "configure"
 #include "confdefs.h"
 
 #               include <string>
@@ -2356,20 +2370,20 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2359: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2373: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2362: \$? = $ac_status" >&5
+  echo "$as_me:2376: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2365: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2379: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2368: \$? = $ac_status" >&5
+  echo "$as_me:2382: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                 CXXFLAGSG="-ggdb $CXXFLAGSG"
-              echo "$as_me:2372: result: yes" >&5
+              echo "$as_me:2386: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
@@ -2377,7 +2391,7 @@ else
 cat conftest.$ac_ext >&5
 
                 CXXFLAGSG="-gstabs $CXXFLAGSG"
-              echo "$as_me:2380: result: no -- using -gstabs" >&5
+              echo "$as_me:2394: result: no -- using -gstabs" >&5
 echo "${ECHO_T}no -- using -gstabs" >&6
 
 fi
@@ -2385,7 +2399,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
           ;;
 
                             *)
-          echo "$as_me:2388: result: yes" >&5
+          echo "$as_me:2402: result: yes" >&5
 echo "${ECHO_T}yes" >&6
             CXXFLAGSG="-ggdb $CXXFLAGSG"
           ;;
@@ -2406,7 +2420,7 @@ fi;
   if test "$enablemultithreading" = yes ; then
     if test "$GXX" = yes ; then
 
-  echo "$as_me:2409: checking for platform specific thread flags" >&5
+  echo "$as_me:2423: checking for platform specific thread flags" >&5
 echo $ECHO_N "checking for platform specific thread flags... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -2440,16 +2454,16 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   done
   if test "$thread_flag" = invalid_last_entry ; then
-       echo "$as_me:2443: result: no flag found!" >&5
+       echo "$as_me:2457: result: no flag found!" >&5
 echo "${ECHO_T}no flag found!" >&6
-       { { echo "$as_me:2445: error: Could not determine multithreading flag for this platform. Aborting!" >&5
+       { { echo "$as_me:2459: error: Could not determine multithreading flag for this platform. Aborting!" >&5
 echo "$as_me: error: Could not determine multithreading flag for this platform. Aborting!" >&2;}
    { (exit 1); exit 1; }; }
   fi
-  echo "$as_me:2449: result: -$thread_flag" >&5
+  echo "$as_me:2463: result: -$thread_flag" >&5
 echo "${ECHO_T}-$thread_flag" >&6
 
-  echo "$as_me:2452: checking for platform specific multi-threading defines" >&5
+  echo "$as_me:2466: checking for platform specific multi-threading defines" >&5
 echo $ECHO_N "checking for platform specific multi-threading defines... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -2458,7 +2472,7 @@ ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ex
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   cat >conftest.$ac_ext <<_ACEOF
-#line 2461 "configure"
+#line 2475 "configure"
 #include "confdefs.h"
 
 #       if !defined (_REENTRANT) && !defined (_THREAD_SAFE)
@@ -2477,26 +2491,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2480: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2494: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2483: \$? = $ac_status" >&5
+  echo "$as_me:2497: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2486: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2500: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2489: \$? = $ac_status" >&5
+  echo "$as_me:2503: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:2492: result: not necessary" >&5
+       echo "$as_me:2506: result: not necessary" >&5
 echo "${ECHO_T}not necessary" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-       echo "$as_me:2499: result: -D_REENTRANT -D_THREAD_SAFE" >&5
+       echo "$as_me:2513: result: -D_REENTRANT -D_THREAD_SAFE" >&5
 echo "${ECHO_T}-D_REENTRANT -D_THREAD_SAFE" >&6
        CXXFLAGSG="$CXXFLAGSG -D_REENTRANT -D_THREAD_SAFE"
        CXXFLAGSO="$CXXFLAGSO -D_REENTRANT -D_THREAD_SAFE"
@@ -2511,7 +2525,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
         CXXFLAGSG = "$CXXFLAGSG -threaded"
         CXXFLAGSO = "$CXXFLAGSO -threaded"
       else
-                { { echo "$as_me:2514: error: No threading compiler options for this C++ compiler
+                { { echo "$as_me:2528: error: No threading compiler options for this C++ compiler
                      specified at present" >&5
 echo "$as_me: error: No threading compiler options for this C++ compiler
                      specified at present" >&2;}
@@ -2529,15 +2543,15 @@ else
   withmultithreading=no
 fi;
   if test "$withmultithreading" != no ; then
-    echo "$as_me:2532: checking for ACE" >&5
+    echo "$as_me:2546: checking for ACE" >&5
 echo $ECHO_N "checking for ACE... $ECHO_C" >&6
     if test -d "$withmultithreading" ; then
-      echo "$as_me:2535: result: found" >&5
+      echo "$as_me:2549: result: found" >&5
 echo "${ECHO_T}found" >&6
     else
-      echo "$as_me:2538: result: not found" >&5
+      echo "$as_me:2552: result: not found" >&5
 echo "${ECHO_T}not found" >&6
-      { { echo "$as_me:2540: error: Invalid ACE path" >&5
+      { { echo "$as_me:2554: error: Invalid ACE path" >&5
 echo "$as_me: error: Invalid ACE path" >&2;}
    { (exit 1); exit 1; }; }
     fi
@@ -2551,7 +2565,7 @@ EOF
   if test "$enablemultithreading" = yes ; then
     if test "$GXX" = yes ; then
 
-  echo "$as_me:2554: checking whether compilation with ACE disallows flags" >&5
+  echo "$as_me:2568: checking whether compilation with ACE disallows flags" >&5
 echo $ECHO_N "checking whether compilation with ACE disallows flags... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -2561,7 +2575,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="-ansi -I$withmultithreading"
   cat >conftest.$ac_ext <<_ACEOF
-#line 2564 "configure"
+#line 2578 "configure"
 #include "confdefs.h"
 
 #  include <ace/Thread_Manager.h>
@@ -2576,16 +2590,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2579: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2593: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2582: \$? = $ac_status" >&5
+  echo "$as_me:2596: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2585: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2599: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2588: \$? = $ac_status" >&5
+  echo "$as_me:2602: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
       deal_II_ace_remove_ansi="no"
@@ -2600,7 +2614,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
   CXXFLAGS="-pedantic -Werror -I$withmultithreading"
   cat >conftest.$ac_ext <<_ACEOF
-#line 2603 "configure"
+#line 2617 "configure"
 #include "confdefs.h"
 
 #  include <ace/Thread_Manager.h>
@@ -2615,16 +2629,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2618: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2632: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2621: \$? = $ac_status" >&5
+  echo "$as_me:2635: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2624: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2638: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2627: \$? = $ac_status" >&5
+  echo "$as_me:2641: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
       deal_II_ace_remove_pedantic="no"
@@ -2640,18 +2654,18 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 
   if test $deal_II_ace_remove_ansi = "no" ; then
     if test $deal_II_ace_remove_pedantic = "no" ; then
-      echo "$as_me:2643: result: no" >&5
+      echo "$as_me:2657: result: no" >&5
 echo "${ECHO_T}no" >&6
     else
-      echo "$as_me:2646: result: -pedantic" >&5
+      echo "$as_me:2660: result: -pedantic" >&5
 echo "${ECHO_T}-pedantic" >&6
     fi
   else
     if test $deal_II_ace_remove_pedantic = "no" ; then
-      echo "$as_me:2651: result: -ansi" >&5
+      echo "$as_me:2665: result: -ansi" >&5
 echo "${ECHO_T}-ansi" >&6
     else
-      echo "$as_me:2654: result: -ansi -pedantic" >&5
+      echo "$as_me:2668: result: -ansi -pedantic" >&5
 echo "${ECHO_T}-ansi -pedantic" >&6
     fi
   fi
@@ -2667,7 +2681,7 @@ echo "${ECHO_T}-ansi -pedantic" >&6
     fi
   fi
 
-  echo "$as_me:2670: checking whether AssertThrow works with debug flags" >&5
+  echo "$as_me:2684: checking whether AssertThrow works with debug flags" >&5
 echo $ECHO_N "checking whether AssertThrow works with debug flags... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -2677,7 +2691,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS=$CXXFLAGSG
   cat >conftest.$ac_ext <<_ACEOF
-#line 2680 "configure"
+#line 2694 "configure"
 #include "confdefs.h"
 
 #include <exception>
@@ -2761,33 +2775,33 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2764: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2778: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2767: \$? = $ac_status" >&5
+  echo "$as_me:2781: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2770: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2784: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2773: \$? = $ac_status" >&5
+  echo "$as_me:2787: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:2776: result: yes" >&5
+       echo "$as_me:2790: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-       echo "$as_me:2783: result: no" >&5
+       echo "$as_me:2797: result: no" >&5
 echo "${ECHO_T}no" >&6
        CXXFLAGSG="-DDISABLE_ASSERT_THROW $CXXFLAGSG"
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:2790: checking whether AssertThrow works with optimized flags" >&5
+  echo "$as_me:2804: checking whether AssertThrow works with optimized flags" >&5
 echo $ECHO_N "checking whether AssertThrow works with optimized flags... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -2797,7 +2811,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS=$CXXFLAGSO
   cat >conftest.$ac_ext <<_ACEOF
-#line 2800 "configure"
+#line 2814 "configure"
 #include "confdefs.h"
 
 #include <exception>
@@ -2881,33 +2895,33 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2884: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2898: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2887: \$? = $ac_status" >&5
+  echo "$as_me:2901: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2890: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2904: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2893: \$? = $ac_status" >&5
+  echo "$as_me:2907: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:2896: result: yes" >&5
+       echo "$as_me:2910: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-       echo "$as_me:2903: result: no" >&5
+       echo "$as_me:2917: result: no" >&5
 echo "${ECHO_T}no" >&6
        CXXFLAGSO="-DDISABLE_ASSERT_THROW $CXXFLAGSO"
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:2910: checking for std::vector bug" >&5
+  echo "$as_me:2924: checking for std::vector bug" >&5
 echo $ECHO_N "checking for std::vector bug... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -2917,7 +2931,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 2920 "configure"
+#line 2934 "configure"
 #include "confdefs.h"
 
       namespace std {
@@ -2942,26 +2956,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:2945: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:2959: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:2948: \$? = $ac_status" >&5
+  echo "$as_me:2962: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:2951: \"$ac_try\"") >&5
+  { (eval echo "$as_me:2965: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:2954: \$? = $ac_status" >&5
+  echo "$as_me:2968: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:2957: result: no" >&5
+      echo "$as_me:2971: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:2964: result: yes. trying to work around" >&5
+      echo "$as_me:2978: result: yes. trying to work around" >&5
 echo "${ECHO_T}yes. trying to work around" >&6
 
 cat >>confdefs.h <<\EOF
@@ -2971,7 +2985,7 @@ EOF
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:2974: checking for local computed template typedef bug" >&5
+  echo "$as_me:2988: checking for local computed template typedef bug" >&5
 echo $ECHO_N "checking for local computed template typedef bug... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -2981,7 +2995,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG -g"
   cat >conftest.$ac_ext <<_ACEOF
-#line 2984 "configure"
+#line 2998 "configure"
 #include "confdefs.h"
 
        template < int dim > struct T {
@@ -3002,26 +3016,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3005: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3019: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3008: \$? = $ac_status" >&5
+  echo "$as_me:3022: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3011: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3025: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3014: \$? = $ac_status" >&5
+  echo "$as_me:3028: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3017: result: no" >&5
+      echo "$as_me:3031: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3024: result: yes. trying to work around" >&5
+      echo "$as_me:3038: result: yes. trying to work around" >&5
 echo "${ECHO_T}yes. trying to work around" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3031,7 +3045,7 @@ EOF
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3034: checking for partially specialized template access control bug" >&5
+  echo "$as_me:3048: checking for partially specialized template access control bug" >&5
 echo $ECHO_N "checking for partially specialized template access control bug... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3041,7 +3055,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3044 "configure"
+#line 3058 "configure"
 #include "confdefs.h"
 
        template <int N, int M> class T      {    void bar ();  };
@@ -3067,26 +3081,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3070: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3084: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3073: \$? = $ac_status" >&5
+  echo "$as_me:3087: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3076: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3090: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3079: \$? = $ac_status" >&5
+  echo "$as_me:3093: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3082: result: no" >&5
+      echo "$as_me:3096: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3089: result: yes. trying to work around" >&5
+      echo "$as_me:3103: result: yes. trying to work around" >&5
 echo "${ECHO_T}yes. trying to work around" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3096,7 +3110,7 @@ EOF
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3099: checking for template member operator instantiation bug" >&5
+  echo "$as_me:3113: checking for template member operator instantiation bug" >&5
 echo $ECHO_N "checking for template member operator instantiation bug... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3106,7 +3120,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3109 "configure"
+#line 3123 "configure"
 #include "confdefs.h"
 
        struct X
@@ -3126,19 +3140,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3129: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3143: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3132: \$? = $ac_status" >&5
+  echo "$as_me:3146: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3135: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3149: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3138: \$? = $ac_status" >&5
+  echo "$as_me:3152: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3141: result: no" >&5
+      echo "$as_me:3155: result: no" >&5
 echo "${ECHO_T}no" >&6
       x=""
 
@@ -3146,7 +3160,7 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3149: result: yes. trying to work around" >&5
+      echo "$as_me:3163: result: yes. trying to work around" >&5
 echo "${ECHO_T}yes. trying to work around" >&6
       x="template"
 
@@ -3157,7 +3171,7 @@ cat >>confdefs.h <<EOF
 #define DEAL_II_MEMBER_OP_TEMPLATE_INST $x
 EOF
 
-  echo "$as_me:3160: checking for std::iterator class" >&5
+  echo "$as_me:3174: checking for std::iterator class" >&5
 echo $ECHO_N "checking for std::iterator class... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3167,7 +3181,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3170 "configure"
+#line 3184 "configure"
 #include "confdefs.h"
 
 #include <iterator>
@@ -3183,19 +3197,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3186: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3200: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3189: \$? = $ac_status" >&5
+  echo "$as_me:3203: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3192: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3206: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3195: \$? = $ac_status" >&5
+  echo "$as_me:3209: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3198: result: yes" >&5
+      echo "$as_me:3212: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3206,13 +3220,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3209: result: no" >&5
+      echo "$as_me:3223: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3215: checking for std::i/ostringstream classes" >&5
+  echo "$as_me:3229: checking for std::i/ostringstream classes" >&5
 echo $ECHO_N "checking for std::i/ostringstream classes... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3222,7 +3236,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3225 "configure"
+#line 3239 "configure"
 #include "confdefs.h"
 
 #include <sstream>
@@ -3239,19 +3253,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3242: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3256: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3245: \$? = $ac_status" >&5
+  echo "$as_me:3259: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3248: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3262: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3251: \$? = $ac_status" >&5
+  echo "$as_me:3265: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3254: result: yes" >&5
+      echo "$as_me:3268: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3262,13 +3276,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3265: result: no" >&5
+      echo "$as_me:3279: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3271: checking for std::numeric_limits classes" >&5
+  echo "$as_me:3285: checking for std::numeric_limits classes" >&5
 echo $ECHO_N "checking for std::numeric_limits classes... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3278,7 +3292,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3281 "configure"
+#line 3295 "configure"
 #include "confdefs.h"
 
 #include <limits>
@@ -3294,19 +3308,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3297: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3311: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3300: \$? = $ac_status" >&5
+  echo "$as_me:3314: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3303: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3317: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3306: \$? = $ac_status" >&5
+  echo "$as_me:3320: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3309: result: yes" >&5
+      echo "$as_me:3323: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3317,13 +3331,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3320: result: no" >&5
+      echo "$as_me:3334: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3326: checking for <ostream> header" >&5
+  echo "$as_me:3340: checking for <ostream> header" >&5
 echo $ECHO_N "checking for <ostream> header... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3333,7 +3347,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3336 "configure"
+#line 3350 "configure"
 #include "confdefs.h"
 
 #include <ostream>
@@ -3348,19 +3362,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3351: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3365: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3354: \$? = $ac_status" >&5
+  echo "$as_me:3368: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3357: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3371: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3360: \$? = $ac_status" >&5
+  echo "$as_me:3374: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3363: result: yes" >&5
+      echo "$as_me:3377: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3371,13 +3385,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3374: result: no" >&5
+      echo "$as_me:3388: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3380: checking for <iosfwd> header" >&5
+  echo "$as_me:3394: checking for <iosfwd> header" >&5
 echo $ECHO_N "checking for <iosfwd> header... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3387,7 +3401,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3390 "configure"
+#line 3404 "configure"
 #include "confdefs.h"
 
 #include <iosfwd>
@@ -3402,19 +3416,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3405: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3419: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3408: \$? = $ac_status" >&5
+  echo "$as_me:3422: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3411: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3425: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3414: \$? = $ac_status" >&5
+  echo "$as_me:3428: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3417: result: yes" >&5
+      echo "$as_me:3431: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3425,13 +3439,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3428: result: no" >&5
+      echo "$as_me:3442: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3434: checking for __builtin_expect" >&5
+  echo "$as_me:3448: checking for __builtin_expect" >&5
 echo $ECHO_N "checking for __builtin_expect... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3441,7 +3455,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3444 "configure"
+#line 3458 "configure"
 #include "confdefs.h"
 
        bool f();
@@ -3457,19 +3471,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3460: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3474: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3463: \$? = $ac_status" >&5
+  echo "$as_me:3477: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3466: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3480: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3469: \$? = $ac_status" >&5
+  echo "$as_me:3483: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3472: result: yes" >&5
+      echo "$as_me:3486: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3480,13 +3494,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3483: result: no" >&5
+      echo "$as_me:3497: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3489: checking whether lrand48 needs to be declared with -ansi" >&5
+  echo "$as_me:3503: checking whether lrand48 needs to be declared with -ansi" >&5
 echo $ECHO_N "checking whether lrand48 needs to be declared with -ansi... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3496,7 +3510,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3499 "configure"
+#line 3513 "configure"
 #include "confdefs.h"
 
 #include <vector>
@@ -3517,26 +3531,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3520: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3534: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3523: \$? = $ac_status" >&5
+  echo "$as_me:3537: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3526: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3540: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3529: \$? = $ac_status" >&5
+  echo "$as_me:3543: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3532: result: no" >&5
+      echo "$as_me:3546: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3539: result: yes" >&5
+      echo "$as_me:3553: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3546,7 +3560,7 @@ EOF
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3549: checking whether getrusage is properly declared" >&5
+  echo "$as_me:3563: checking whether getrusage is properly declared" >&5
 echo $ECHO_N "checking whether getrusage is properly declared... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3555,7 +3569,7 @@ ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ex
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   cat >conftest.$ac_ext <<_ACEOF
-#line 3558 "configure"
+#line 3572 "configure"
 #include "confdefs.h"
 
 #include <sys/resource.h>
@@ -3572,26 +3586,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3575: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3589: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3578: \$? = $ac_status" >&5
+  echo "$as_me:3592: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3581: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3595: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3584: \$? = $ac_status" >&5
+  echo "$as_me:3598: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:3587: result: yes" >&5
+       echo "$as_me:3601: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-       echo "$as_me:3594: result: no" >&5
+       echo "$as_me:3608: result: no" >&5
 echo "${ECHO_T}no" >&6
        CXXFLAGSG="$CXXFLAGSG -DNO_HAVE_GETRUSAGE"
        CXXFLAGSO="$CXXFLAGSO -DNO_HAVE_GETRUSAGE"
@@ -3599,7 +3613,7 @@ echo "${ECHO_T}no" >&6
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3602: checking whether isnan is declared with debug flags" >&5
+  echo "$as_me:3616: checking whether isnan is declared with debug flags" >&5
 echo $ECHO_N "checking whether isnan is declared with debug flags... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3610,7 +3624,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
   CXXFLAGS=$CXXFLAGSG
   deal_II_isnan_flag=""
   cat >conftest.$ac_ext <<_ACEOF
-#line 3613 "configure"
+#line 3627 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3627,19 +3641,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3630: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3644: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3633: \$? = $ac_status" >&5
+  echo "$as_me:3647: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3636: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3650: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3639: \$? = $ac_status" >&5
+  echo "$as_me:3653: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:3642: result: yes" >&5
+       echo "$as_me:3656: result: yes" >&5
 echo "${ECHO_T}yes" >&6
        deal_II_isnan_flag="-DHAVE_ISNAN"
        CXXFLAGSG="$deal_II_isnan_flag $CXXFLAGSG"
@@ -3652,7 +3666,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 
   if test "x$deal_II_isnan_flag" = "x" ; then
             cat >conftest.$ac_ext <<_ACEOF
-#line 3655 "configure"
+#line 3669 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3669,19 +3683,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3672: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3686: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3675: \$? = $ac_status" >&5
+  echo "$as_me:3689: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3678: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3692: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3681: \$? = $ac_status" >&5
+  echo "$as_me:3695: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-         echo "$as_me:3684: result: yes" >&5
+         echo "$as_me:3698: result: yes" >&5
 echo "${ECHO_T}yes" >&6
          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN"
          CXXFLAGSG="$deal_II_isnan_flag $CXXFLAGSG"
@@ -3698,7 +3712,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     for testflag in -D_ISOC99_SOURCE -D__EXTENSIONS__ ; do
       CXXFLAGS="$CXXFLAGSG $testflag"
       cat >conftest.$ac_ext <<_ACEOF
-#line 3701 "configure"
+#line 3715 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3715,16 +3729,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3718: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3732: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3721: \$? = $ac_status" >&5
+  echo "$as_me:3735: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3724: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3738: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3727: \$? = $ac_status" >&5
+  echo "$as_me:3741: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_ISNAN $testflag"
@@ -3737,7 +3751,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
                         cat >conftest.$ac_ext <<_ACEOF
-#line 3740 "configure"
+#line 3754 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3754,16 +3768,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3757: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3771: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3760: \$? = $ac_status" >&5
+  echo "$as_me:3774: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3763: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3777: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3766: \$? = $ac_status" >&5
+  echo "$as_me:3780: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN $testflag"
@@ -3777,16 +3791,16 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     done
 
                 if test "x$deal_II_isnan_flag" = "x" ; then
-      echo "$as_me:3780: result: no." >&5
+      echo "$as_me:3794: result: no." >&5
 echo "${ECHO_T}no." >&6
     else
-            echo "$as_me:3783: result: using $testflag" >&5
+            echo "$as_me:3797: result: using $testflag" >&5
 echo "${ECHO_T}using $testflag" >&6
       CXXFLAGSG="$deal_II_isnan_flag $CXXFLAGSG"
     fi
   fi
 
-  echo "$as_me:3789: checking whether isnan is declared with optimized flags" >&5
+  echo "$as_me:3803: checking whether isnan is declared with optimized flags" >&5
 echo $ECHO_N "checking whether isnan is declared with optimized flags... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3797,7 +3811,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
   CXXFLAGS=$CXXFLAGSO
   deal_II_isnan_flag=""
   cat >conftest.$ac_ext <<_ACEOF
-#line 3800 "configure"
+#line 3814 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3814,19 +3828,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3817: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3831: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3820: \$? = $ac_status" >&5
+  echo "$as_me:3834: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3823: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3837: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3826: \$? = $ac_status" >&5
+  echo "$as_me:3840: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:3829: result: yes" >&5
+       echo "$as_me:3843: result: yes" >&5
 echo "${ECHO_T}yes" >&6
        deal_II_isnan_flag="-DHAVE_ISNAN"
        CXXFLAGSO="$deal_II_isnan_flag $CXXFLAGSO"
@@ -3839,7 +3853,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 
   if test "x$deal_II_isnan_flag" = "x" ; then
             cat >conftest.$ac_ext <<_ACEOF
-#line 3842 "configure"
+#line 3856 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3856,19 +3870,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3859: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3873: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3862: \$? = $ac_status" >&5
+  echo "$as_me:3876: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3865: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3879: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3868: \$? = $ac_status" >&5
+  echo "$as_me:3882: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-         echo "$as_me:3871: result: yes" >&5
+         echo "$as_me:3885: result: yes" >&5
 echo "${ECHO_T}yes" >&6
          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN"
          CXXFLAGSO="$deal_II_isnan_flag $CXXFLAGSO"
@@ -3885,7 +3899,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     for testflag in -D_ISOC99_SOURCE -D__EXTENSIONS__ ; do
       CXXFLAGS="$CXXFLAGSO $testflag"
       cat >conftest.$ac_ext <<_ACEOF
-#line 3888 "configure"
+#line 3902 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3902,16 +3916,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3905: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3919: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3908: \$? = $ac_status" >&5
+  echo "$as_me:3922: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3911: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3925: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3914: \$? = $ac_status" >&5
+  echo "$as_me:3928: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_ISNAN $testflag"
@@ -3924,7 +3938,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
                         cat >conftest.$ac_ext <<_ACEOF
-#line 3927 "configure"
+#line 3941 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3941,16 +3955,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3944: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3958: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3947: \$? = $ac_status" >&5
+  echo "$as_me:3961: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3950: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3964: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3953: \$? = $ac_status" >&5
+  echo "$as_me:3967: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN $testflag"
@@ -3964,10 +3978,10 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     done
 
                 if test "x$deal_II_isnan_flag" = "x" ; then
-      echo "$as_me:3967: result: no." >&5
+      echo "$as_me:3981: result: no." >&5
 echo "${ECHO_T}no." >&6
     else
-            echo "$as_me:3970: result: using $testflag" >&5
+            echo "$as_me:3984: result: using $testflag" >&5
 echo "${ECHO_T}using $testflag" >&6
       CXXFLAGSO="$deal_II_isnan_flag $CXXFLAGSO"
     fi
@@ -3980,10 +3994,10 @@ ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ex
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS=$CXXFLAGSG
-  echo "$as_me:3983: checking for rand_r" >&5
+  echo "$as_me:3997: checking for rand_r" >&5
 echo $ECHO_N "checking for rand_r... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
-#line 3986 "configure"
+#line 4000 "configure"
 #include "confdefs.h"
 
 #include <cstdlib>
@@ -4000,19 +4014,19 @@ int i=rand_r(&i);
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4003: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4017: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4006: \$? = $ac_status" >&5
+  echo "$as_me:4020: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4009: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4023: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4012: \$? = $ac_status" >&5
+  echo "$as_me:4026: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-         echo "$as_me:4015: result: found" >&5
+         echo "$as_me:4029: result: found" >&5
 echo "${ECHO_T}found" >&6
 
 cat >>confdefs.h <<\EOF
@@ -4023,7 +4037,7 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-         echo "$as_me:4026: result: no" >&5
+         echo "$as_me:4040: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
@@ -4032,13 +4046,13 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 for ac_func in gethostname
 do
 ac_ac_var=`echo "ac_cv_func_$ac_func" | $ac_tr_sh`
-echo "$as_me:4035: checking for $ac_func" >&5
+echo "$as_me:4049: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 4041 "configure"
+#line 4055 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -4069,16 +4083,16 @@ f = $ac_func;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:4072: \"$ac_link\"") >&5
+if { (eval echo "$as_me:4086: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:4075: \$? = $ac_status" >&5
+  echo "$as_me:4089: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:4078: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4092: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4081: \$? = $ac_status" >&5
+  echo "$as_me:4095: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$ac_ac_var=yes"
 else
@@ -4088,7 +4102,7 @@ eval "$ac_ac_var=no"
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:4091: result: `eval echo '${'$ac_ac_var'}'`" >&5
+echo "$as_me:4105: result: `eval echo '${'$ac_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_var'}'`" >&6
 if test `eval echo '${'$ac_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -4098,16 +4112,16 @@ EOF
 fi
 done
 
-echo "$as_me:4101: result: " >&5
+echo "$as_me:4115: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4103: result: ----------------- configuring F77 compilers -----------------" >&5
+echo "$as_me:4117: result: ----------------- configuring F77 compilers -----------------" >&5
 echo "${ECHO_T}----------------- configuring F77 compilers -----------------" >&6
 
 for ac_prog in f77 g77
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:4110: checking for $ac_word" >&5
+echo "$as_me:4124: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_F77+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4124,7 +4138,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_F77="$ac_dir/$ac_word"
-   echo "$as_me:4127: found $ac_dir/$ac_word" >&5
+   echo "$as_me:4141: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -4135,10 +4149,10 @@ fi
 F77=$ac_cv_path_F77
 
 if test -n "$F77"; then
-  echo "$as_me:4138: result: $F77" >&5
+  echo "$as_me:4152: result: $F77" >&5
 echo "${ECHO_T}$F77" >&6
 else
-  echo "$as_me:4141: result: no" >&5
+  echo "$as_me:4155: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -4153,49 +4167,49 @@ if test "x$F77" != "x" ; then
             G77_VERSION_STRING="`($F77 -v 2>&1) | grep \"gcc version\"`"
       case "$G77_VERSION_STRING" in
         *"egcs-1.1"*)
-            echo "$as_me:4156: result: F77 compiler is egcs-1.1" >&5
+            echo "$as_me:4170: result: F77 compiler is egcs-1.1" >&5
 echo "${ECHO_T}F77 compiler is egcs-1.1" >&6
             F77_VERSION=egcs1.1
             ;;
         *2.95*)
-            echo "$as_me:4161: result: F77 compiler is gcc-2.95" >&5
+            echo "$as_me:4175: result: F77 compiler is gcc-2.95" >&5
 echo "${ECHO_T}F77 compiler is gcc-2.95" >&6
          F77_VERSION=gcc2.95
          ;;
         *2.96*)
-         echo "$as_me:4166: result: F77 compiler is gcc-2.96" >&5
+         echo "$as_me:4180: result: F77 compiler is gcc-2.96" >&5
 echo "${ECHO_T}F77 compiler is gcc-2.96" >&6
          F77_VERSION=gcc2.96
          ;;
         *2.97*)
-         echo "$as_me:4171: result: F77 compiler is gcc-2.97" >&5
+         echo "$as_me:4185: result: F77 compiler is gcc-2.97" >&5
 echo "${ECHO_T}F77 compiler is gcc-2.97" >&6
          F77_VERSION=gcc2.97
          ;;
         *3.0*)
-         echo "$as_me:4176: result: F77 compiler is gcc-3.0" >&5
+         echo "$as_me:4190: result: F77 compiler is gcc-3.0" >&5
 echo "${ECHO_T}F77 compiler is gcc-3.0" >&6
          F77_VERSION=gcc3.0
          ;;
         *3.1*)
-         echo "$as_me:4181: result: F77 compiler is gcc-3.1" >&5
+         echo "$as_me:4195: result: F77 compiler is gcc-3.1" >&5
 echo "${ECHO_T}F77 compiler is gcc-3.1" >&6
          F77_VERSION=gcc3.1
          ;;
         *3.2*)
-         echo "$as_me:4186: result: F77 compiler is gcc-3.2" >&5
+         echo "$as_me:4200: result: F77 compiler is gcc-3.2" >&5
 echo "${ECHO_T}F77 compiler is gcc-3.2" >&6
          F77_VERSION=gcc3.2
          ;;
         *2.4* | *2.5* | *2.6* | *2.7* | *2.8*)
-                         echo "$as_me:4191: result: F77 compiler is $G77_VERSION_STRING" >&5
+                         echo "$as_me:4205: result: F77 compiler is $G77_VERSION_STRING" >&5
 echo "${ECHO_T}F77 compiler is $G77_VERSION_STRING" >&6
-         { { echo "$as_me:4193: error: F77 compiler is not supported" >&5
+         { { echo "$as_me:4207: error: F77 compiler is not supported" >&5
 echo "$as_me: error: F77 compiler is not supported" >&2;}
    { (exit 1); exit 1; }; }
          ;;
         *)
-         echo "$as_me:4198: result: F77 compiler is unknown but accepted gcc version" >&5
+         echo "$as_me:4212: result: F77 compiler is unknown but accepted gcc version" >&5
 echo "${ECHO_T}F77 compiler is unknown but accepted gcc version" >&6
          F77_VERSION=gcc-other
          ;;
@@ -4206,7 +4220,7 @@ echo "${ECHO_T}F77 compiler is unknown but accepted gcc version" >&6
             if test -n "`echo $F77_VERSION_STRING | grep \"XL Fortran for AIX\"`" ; then
 
                 F77_VERSION=AIXF77
-        echo "$as_me:4209: result: F77 compiler is AIX Fortran77" >&5
+        echo "$as_me:4223: result: F77 compiler is AIX Fortran77" >&5
 echo "${ECHO_T}F77 compiler is AIX Fortran77" >&6
 
       else
@@ -4214,7 +4228,7 @@ echo "${ECHO_T}F77 compiler is AIX Fortran77" >&6
                         F77_VERSION_STRING=`($F77 -V 2>&1)`
         if test -n "`echo $F77_VERSION_STRING | grep \"WorkShop Compilers\"`" ; then
 
-                 echo "$as_me:4217: result: F77 compiler is Sun WorkShop f77" >&5
+                 echo "$as_me:4231: result: F77 compiler is Sun WorkShop f77" >&5
 echo "${ECHO_T}F77 compiler is Sun WorkShop f77" >&6
          F77_VERSION="SunF77"
 
@@ -4222,14 +4236,14 @@ echo "${ECHO_T}F77 compiler is Sun WorkShop f77" >&6
 
                               F77_VERSION_STRING=`($F77 -version 2>&1)`
          if test -n "`echo $F77_VERSION_STRING | grep MIPSpro`" ; then
-           echo "$as_me:4225: result: F77 compiler is MIPSpro f77" >&5
+           echo "$as_me:4239: result: F77 compiler is MIPSpro f77" >&5
 echo "${ECHO_T}F77 compiler is MIPSpro f77" >&6
            F77_VERSION="MIPSproF77"
 
           else
 
                        F77_VERSION=
-           echo "$as_me:4232: result: F77 compiler is unkown. no flags set!" >&5
+           echo "$as_me:4246: result: F77 compiler is unkown. no flags set!" >&5
 echo "${ECHO_T}F77 compiler is unkown. no flags set!" >&6
           fi
         fi
@@ -4275,7 +4289,7 @@ echo "${ECHO_T}F77 compiler is unkown. no flags set!" >&6
        ;;
 
     *)
-       { { echo "$as_me:4278: error: No compiler options for F77 compiler
+       { { echo "$as_me:4292: error: No compiler options for F77 compiler
                      \"$F77_VERSION\" specified at present" >&5
 echo "$as_me: error: No compiler options for F77 compiler
                      \"$F77_VERSION\" specified at present" >&2;}
@@ -4285,9 +4299,9 @@ echo "$as_me: error: No compiler options for F77 compiler
 
 fi
 
-echo "$as_me:4288: result: " >&5
+echo "$as_me:4302: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4290: result: -------------- configuring shared/static libs ---------------" >&5
+echo "$as_me:4304: result: -------------- configuring shared/static libs ---------------" >&5
 echo "${ECHO_T}-------------- configuring shared/static libs ---------------" >&6
 
 # Check whether --enable-shared or --disable-shared was given.
@@ -4300,7 +4314,7 @@ fi;
 
 case "$target" in
    *-aix* | alpha*-linux* | alpha*-osf45* | *cygwin )
-          { echo "$as_me:4303: WARNING: Shared libraries not supported on $target. Using static libs instead" >&5
+          { echo "$as_me:4317: WARNING: Shared libraries not supported on $target. Using static libs instead" >&5
 echo "$as_me: WARNING: Shared libraries not supported on $target. Using static libs instead" >&2;}
           enableshared=no
           ;;
@@ -4325,11 +4339,11 @@ fi;
     for i in $disable_compat ; do
     case $i in
       mapping)
-        echo "$as_me:4328: result: Disabling backward compatibility feature: \"$i\"" >&5
+        echo "$as_me:4342: result: Disabling backward compatibility feature: \"$i\"" >&5
 echo "${ECHO_T}Disabling backward compatibility feature: \"$i\"" >&6
         ;;
       *)
-        { { echo "$as_me:4332: error: Backward compatibility feature \"$i\" unknown" >&5
+        { { echo "$as_me:4346: error: Backward compatibility feature \"$i\" unknown" >&5
 echo "$as_me: error: Backward compatibility feature \"$i\" unknown" >&2;}
    { (exit 1); exit 1; }; }
         ;;
@@ -4354,7 +4368,7 @@ EOF
        ;;
 
       *)
-       { { echo "$as_me:4357: error: Backward compatibility feature \"$i\" unknown" >&5
+       { { echo "$as_me:4371: error: Backward compatibility feature \"$i\" unknown" >&5
 echo "$as_me: error: Backward compatibility feature \"$i\" unknown" >&2;}
    { (exit 1); exit 1; }; }
        ;;
@@ -4373,7 +4387,7 @@ else
     fi
 fi;
 if test "$enablemultigrid" = yes ; then
-   echo "$as_me:4376: result: configuring multigrid" >&5
+   echo "$as_me:4390: result: configuring multigrid" >&5
 echo "${ECHO_T}configuring multigrid" >&6
 
 cat >>confdefs.h <<\EOF
@@ -4382,19 +4396,19 @@ EOF
 
 fi
 
-echo "$as_me:4385: result: " >&5
+echo "$as_me:4399: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4387: result: ---------------- configuring additional libs ----------------" >&5
+echo "$as_me:4401: result: ---------------- configuring additional libs ----------------" >&5
 echo "${ECHO_T}---------------- configuring additional libs ----------------" >&6
 
   ac_ac_File=`echo "ac_cv_file_$TECHOME/lib/tecio.a" | $ac_tr_sh`
-echo "$as_me:4391: checking for $TECHOME/lib/tecio.a" >&5
+echo "$as_me:4405: checking for $TECHOME/lib/tecio.a" >&5
 echo $ECHO_N "checking for $TECHOME/lib/tecio.a... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4397: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4411: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TECHOME/lib/tecio.a"; then
@@ -4403,20 +4417,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4406: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4420: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_LIBRARY_PATH=$TECHOME/lib/tecio.a
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC80HOME/lib/tecio.a" | $ac_tr_sh`
-echo "$as_me:4413: checking for $TEC80HOME/lib/tecio.a" >&5
+echo "$as_me:4427: checking for $TEC80HOME/lib/tecio.a" >&5
 echo $ECHO_N "checking for $TEC80HOME/lib/tecio.a... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4419: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4433: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC80HOME/lib/tecio.a"; then
@@ -4425,20 +4439,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4428: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4442: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_LIBRARY_PATH=$TEC80HOME/lib/tecio.a
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC90HOME/lib/tecio.a" | $ac_tr_sh`
-echo "$as_me:4435: checking for $TEC90HOME/lib/tecio.a" >&5
+echo "$as_me:4449: checking for $TEC90HOME/lib/tecio.a" >&5
 echo $ECHO_N "checking for $TEC90HOME/lib/tecio.a... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4441: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4455: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC90HOME/lib/tecio.a"; then
@@ -4447,20 +4461,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4450: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4464: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_LIBRARY_PATH=$TEC90HOME/lib/tecio.a
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TECHOME/include/TECIO.h" | $ac_tr_sh`
-echo "$as_me:4457: checking for $TECHOME/include/TECIO.h" >&5
+echo "$as_me:4471: checking for $TECHOME/include/TECIO.h" >&5
 echo $ECHO_N "checking for $TECHOME/include/TECIO.h... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4463: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4477: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TECHOME/include/TECIO.h"; then
@@ -4469,20 +4483,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4472: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4486: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_INCLUDE_PATH=$TECHOME/include
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC80HOME/include/TECIO.h" | $ac_tr_sh`
-echo "$as_me:4479: checking for $TEC80HOME/include/TECIO.h" >&5
+echo "$as_me:4493: checking for $TEC80HOME/include/TECIO.h" >&5
 echo $ECHO_N "checking for $TEC80HOME/include/TECIO.h... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4485: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4499: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC80HOME/include/TECIO.h"; then
@@ -4491,20 +4505,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4494: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4508: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_INCLUDE_PATH=$TEC80HOME/include
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC90HOME/include/TECIO.h" | $ac_tr_sh`
-echo "$as_me:4501: checking for $TEC90HOME/include/TECIO.h" >&5
+echo "$as_me:4515: checking for $TEC90HOME/include/TECIO.h" >&5
 echo $ECHO_N "checking for $TEC90HOME/include/TECIO.h... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4507: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4521: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC90HOME/include/TECIO.h"; then
@@ -4513,7 +4527,7 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4516: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4530: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_INCLUDE_PATH=$TEC90HOME/include
@@ -4528,7 +4542,7 @@ EOF
 
   fi
 
-  echo "$as_me:4531: checking for HSL subroutines" >&5
+  echo "$as_me:4545: checking for HSL subroutines" >&5
 echo $ECHO_N "checking for HSL subroutines... $ECHO_C" >&6
   hsl_subroutines=""
   if test -r contrib/hsl/source/ma27.f ; then
@@ -4551,18 +4565,18 @@ EOF
   fi
 
   if test "x$hsl_subroutines" != "x" ; then
-    echo "$as_me:4554: result: $hsl_subroutines" >&5
+    echo "$as_me:4568: result: $hsl_subroutines" >&5
 echo "${ECHO_T}$hsl_subroutines" >&6
     USE_CONTRIB_HSL=yes
   else
-    echo "$as_me:4558: result: none found" >&5
+    echo "$as_me:4572: result: none found" >&5
 echo "${ECHO_T}none found" >&6
     USE_CONTRIB_HSL=no
   fi
 
-echo "$as_me:4563: result: " >&5
+echo "$as_me:4577: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4565: result: ------------------ checking compiler flags ------------------" >&5
+echo "$as_me:4579: result: ------------------ checking compiler flags ------------------" >&5
 echo "${ECHO_T}------------------ checking compiler flags ------------------" >&6
 
   ac_ext=cc
@@ -4572,10 +4586,10 @@ ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ex
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
-  echo "$as_me:4575: checking for consistency of CXXFLAGSG flags" >&5
+  echo "$as_me:4589: checking for consistency of CXXFLAGSG flags" >&5
 echo $ECHO_N "checking for consistency of CXXFLAGSG flags... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
-#line 4578 "configure"
+#line 4592 "configure"
 #include "confdefs.h"
 
 int
@@ -4587,26 +4601,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4590: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4604: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4593: \$? = $ac_status" >&5
+  echo "$as_me:4607: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4596: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4610: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4599: \$? = $ac_status" >&5
+  echo "$as_me:4613: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:4602: result: yes" >&5
+      echo "$as_me:4616: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      { { echo "$as_me:4609: error: invalid combination of flags!" >&5
+      { { echo "$as_me:4623: error: invalid combination of flags!" >&5
 echo "$as_me: error: invalid combination of flags!" >&2;}
    { (exit 1); exit 1; }; }
       exit 1;
@@ -4615,10 +4629,10 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
   CXXFLAGS="$CXXFLAGSO"
-  echo "$as_me:4618: checking for consistency of CXXFLAGSO flags" >&5
+  echo "$as_me:4632: checking for consistency of CXXFLAGSO flags" >&5
 echo $ECHO_N "checking for consistency of CXXFLAGSO flags... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
-#line 4621 "configure"
+#line 4635 "configure"
 #include "confdefs.h"
 
 int
@@ -4630,26 +4644,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4633: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4647: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4636: \$? = $ac_status" >&5
+  echo "$as_me:4650: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4639: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4653: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4642: \$? = $ac_status" >&5
+  echo "$as_me:4656: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:4645: result: yes" >&5
+      echo "$as_me:4659: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      { { echo "$as_me:4652: error: invalid combination of flags!" >&5
+      { { echo "$as_me:4666: error: invalid combination of flags!" >&5
 echo "$as_me: error: invalid combination of flags!" >&2;}
    { (exit 1); exit 1; }; }
       exit 1;
@@ -4657,9 +4671,9 @@ echo "$as_me: error: invalid combination of flags!" >&2;}
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-echo "$as_me:4660: result: " >&5
+echo "$as_me:4674: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4662: result: ---------------- configuring other programs -----------------" >&5
+echo "$as_me:4676: result: ---------------- configuring other programs -----------------" >&5
 echo "${ECHO_T}---------------- configuring other programs -----------------" >&6
 
 # Check whether --with-kdoc or --without-kdoc was given.
@@ -4669,17 +4683,17 @@ if test "${with_kdoc+set}" = set; then
 else
   kdocdir=${DEAL2_DIR}/contrib/kdoc/bin
 fi;
-  echo "$as_me:4672: checking for kdoc" >&5
+  echo "$as_me:4686: checking for kdoc" >&5
 echo $ECHO_N "checking for kdoc... $ECHO_C" >&6
 
     if test "$kdocdir" != ${DEAL2_DIR}/contrib/kdoc/bin ; then
     if test -r $kdocdir/kdoc ; then
-      echo "$as_me:4677: result: found" >&5
+      echo "$as_me:4691: result: found" >&5
 echo "${ECHO_T}found" >&6
     else
-      echo "$as_me:4680: result: not found" >&5
+      echo "$as_me:4694: result: not found" >&5
 echo "${ECHO_T}not found" >&6
-      { { echo "$as_me:4682: error: Invalid kdoc path $kdocdir/kdoc" >&5
+      { { echo "$as_me:4696: error: Invalid kdoc path $kdocdir/kdoc" >&5
 echo "$as_me: error: Invalid kdoc path $kdocdir/kdoc" >&2;}
    { (exit 1); exit 1; }; }
     fi
@@ -4691,7 +4705,7 @@ echo "$as_me: error: Invalid kdoc path $kdocdir/kdoc" >&2;}
     fi
   else
     kdocversion=`cat ${DEAL2_DIR}/contrib/kdoc/src/Version`
-    echo "$as_me:4694: result: using default version $kdocversion" >&5
+    echo "$as_me:4708: result: using default version $kdocversion" >&5
 echo "${ECHO_T}using default version $kdocversion" >&6
   fi
 
@@ -4705,7 +4719,7 @@ fi;
   if test "$docxx" = to-be-determined ; then
     # Extract the first word of ""doc++"", so it can be a program name with args.
 set dummy "doc++"; ac_word=$2
-echo "$as_me:4708: checking for $ac_word" >&5
+echo "$as_me:4722: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_docxx+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4722,7 +4736,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_docxx="$ac_dir/$ac_word"
-   echo "$as_me:4725: found $ac_dir/$ac_word" >&5
+   echo "$as_me:4739: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -4733,21 +4747,21 @@ fi
 docxx=$ac_cv_path_docxx
 
 if test -n "$docxx"; then
-  echo "$as_me:4736: result: $docxx" >&5
+  echo "$as_me:4750: result: $docxx" >&5
 echo "${ECHO_T}$docxx" >&6
 else
-  echo "$as_me:4739: result: no" >&5
+  echo "$as_me:4753: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
   else
-    echo "$as_me:4744: checking for doc++" >&5
+    echo "$as_me:4758: checking for doc++" >&5
 echo $ECHO_N "checking for doc++... $ECHO_C" >&6
     if test -x "$docxx" ; then
-      echo "$as_me:4747: result: yes" >&5
+      echo "$as_me:4761: result: yes" >&5
 echo "${ECHO_T}yes" >&6
     else
-      echo "$as_me:4750: result: no" >&5
+      echo "$as_me:4764: result: no" >&5
 echo "${ECHO_T}no" >&6
       docxx=
     fi
@@ -4755,7 +4769,7 @@ echo "${ECHO_T}no" >&6
 
 # Extract the first word of "perl", so it can be a program name with args.
 set dummy perl; ac_word=$2
-echo "$as_me:4758: checking for $ac_word" >&5
+echo "$as_me:4772: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_PERL+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4772,7 +4786,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_PERL="$ac_dir/$ac_word"
-   echo "$as_me:4775: found $ac_dir/$ac_word" >&5
+   echo "$as_me:4789: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -4783,18 +4797,18 @@ fi
 PERL=$ac_cv_path_PERL
 
 if test -n "$PERL"; then
-  echo "$as_me:4786: result: $PERL" >&5
+  echo "$as_me:4800: result: $PERL" >&5
 echo "${ECHO_T}$PERL" >&6
 else
-  echo "$as_me:4789: result: no" >&5
+  echo "$as_me:4803: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
 subdirs="$subdirs contrib tests"
 
-echo "$as_me:4795: result: " >&5
+echo "$as_me:4809: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4797: result: --------------------- generating output ---------------------" >&5
+echo "$as_me:4811: result: --------------------- generating output ---------------------" >&5
 echo "${ECHO_T}--------------------- generating output ---------------------" >&6
 
 ac_config_files="$ac_config_files common/Make.global_options common/Makefile.template doc/Makefile doc/auto/Makefile doc/auto/kdoc/Makefile"
@@ -4823,7 +4837,7 @@ DEFS=-DHAVE_CONFIG_H
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:4826: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:4840: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -4995,7 +5009,7 @@ cat >>$CONFIG_STATUS <<\EOF
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:4998: error: ambiguous option: $1
+    { { echo "$as_me:5012: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -5022,12 +5036,12 @@ Try \`$0 --help' for more information." >&2;}
   'base/include/base/config.h' ) CONFIG_HEADERS="$CONFIG_HEADERS base/include/base/config.h" ;;
 
   # This is an error.
-  -*) { { echo "$as_me:5025: error: unrecognized option: $1
+  -*) { { echo "$as_me:5039: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
    { (exit 1); exit 1; }; } ;;
-  *) { { echo "$as_me:5030: error: invalid argument: $1" >&5
+  *) { { echo "$as_me:5044: error: invalid argument: $1" >&5
 echo "$as_me: error: invalid argument: $1" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -5279,7 +5293,7 @@ done; }
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:5282: creating $ac_file" >&5
+    { echo "$as_me:5296: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -5297,7 +5311,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:5300: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:5314: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -5310,7 +5324,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:5313: error: cannot find input file: $f" >&5
+           { { echo "$as_me:5327: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -5370,7 +5384,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:5373: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:5387: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -5381,7 +5395,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:5384: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:5398: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -5394,7 +5408,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:5397: error: cannot find input file: $f" >&5
+           { { echo "$as_me:5411: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -5511,7 +5525,7 @@ cat >>$CONFIG_STATUS <<\EOF
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:5514: $ac_file is unchanged" >&5
+      { echo "$as_me:5528: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -5615,7 +5629,7 @@ if test "$no_recursion" != yes; then
     # parts of a large source tree are present.
     test -d $srcdir/$ac_subdir || continue
 
-    { echo "$as_me:5618: configuring in $ac_subdir" >&5
+    { echo "$as_me:5632: configuring in $ac_subdir" >&5
 echo "$as_me: configuring in $ac_subdir" >&6;}
     case $srcdir in
     .) ;;
@@ -5637,7 +5651,7 @@ done; }
 
        if test -d ./$ac_subdir; then :;
        else
-         { { echo "$as_me:5640: error: cannot create \`pwd\`/$ac_subdir" >&5
+         { { echo "$as_me:5654: error: cannot create \`pwd\`/$ac_subdir" >&5
 echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}
    { (exit 1); exit 1; }; }
        fi
@@ -5668,7 +5682,7 @@ echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}
     elif test -f $ac_sub_srcdir/configure.in; then
       ac_sub_configure=$ac_configure
     else
-      { echo "$as_me:5671: WARNING: no configuration information is in $ac_subdir" >&5
+      { echo "$as_me:5685: WARNING: no configuration information is in $ac_subdir" >&5
 echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
       ac_sub_configure=
     fi
@@ -5682,12 +5696,12 @@ echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
         ac_sub_cache_file=$ac_dots$cache_file ;;
       esac
 
-      { echo "$as_me:5685: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
+      { echo "$as_me:5699: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
 echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&6;}
       # The eval makes quoting arguments work.
       eval $ac_sub_configure $ac_sub_configure_args \
            --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir ||
-        { { echo "$as_me:5690: error: $ac_sub_configure failed for $ac_subdir" >&5
+        { { echo "$as_me:5704: error: $ac_sub_configure failed for $ac_subdir" >&5
 echo "$as_me: error: $ac_sub_configure failed for $ac_subdir" >&2;}
    { (exit 1); exit 1; }; }
     fi

In the beginning the Universe was created. This has made a lot of people very angry and has been widely regarded as a bad move.

Douglas Adams


Typeset in Trocchi and Trocchi Bold Sans Serif.